import { defineStore } from "pinia";
import piniaPersistOption from "../config/piniaPersist";

export const useTeachStore = defineStore({
  id: "teachStore",
  state() {
    return {
      Phone: "",
      infoData: {} as any,
      openId: "",
    };
  },
  getters: {},
  actions: {
    setPhone(Phone: string) {
      this.Phone = Phone;
    },
    setInfoData(infoData: string) {
      this.infoData = infoData;
    },
    setOpenId(openId: string) {
      this.openId = openId;
    },
  },
  persist: piniaPersistOption("teachStore"),
});
